# Password generator
* can generate multiple passwords at once (separated by \n)
* can use Cyrillic/Japanese/Chinese/Emoji character sets
* uses at least one character from each character set

## Build

```sh
go build .
```

## Usage

```sh
Usage of ./passgen:
  -L int              length of the generated password (default 16)
  -c int              how many passwords to generate (default 1)
  
  -l                  use lowercase ascii characters
  -U                  use uppercase ascii characters
  -n                  use numbers
  -s                  use special characters
  -S                  use spaces
  --unicode-cyrillic  use unicode Cyrillic characters
  --unicode-chinese   use unicode Chinese characters
  --unicode-japanese  use unicode Japanese characters
  --unicode-emoji     use unicode emoji characters
  --all               use all character sets
```